// JavaScript Document

$(document).ready(function() {
	
	$("select[name=Pasta_Id]").change(function(){
		$.post("clientes_lista.php",{pasta:$(this).val()},function(data){
			$("select[name=Cliente_Id]").html(data);
		})
	})
	
	
	$("#listar").click(function(){
		$.post("clientes_lista_todos.php",{pasta:$(this).val()},function(data){
			$("select[name=Cliente_Id]").html(data);
		})
	})

		
	//Zerando campo de Valor
	$("select[name=Cliente_Id]").change(function(){
		$("input[name=Valor]").val(0);	
		$("input[name=outross]").val(0);	
		$("input[name=outros2s]").val(0);	
		$("input[name=honorarioss]").val(0);	
		$("input[name=repasse]").val(0);	
		$("input[name=juros_repasse]").val(0);	
		$("input[name=honorarios22]").val(0);	
		$("input[name=resultado]").val(0);	
				
	})
	
	
	
	//Adicionar Descricao
	$("#adicionar").click(function(){
		
		//Valores a Serem Enviados
		cliente = $("select[name=Cliente_Id]").val();
		valor = parseFloat($("input[name=Valor]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		outross = parseFloat($("input[name=outross]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		outros2s = parseFloat($("input[name=outros2s]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		honorarioss = parseFloat($("input[name=honorarioss]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		honorarios22 = parseFloat($("input[name=honorarios22]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		repasse = parseFloat($("input[name=repasse]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		juros_repasse = parseFloat($("input[name=juros_repasse]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		resultado = parseFloat($("input[name=resultado]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		contador = 1;
		$('.descricao_contar').each(function(i){
			contador = contador + 1;
		});
		
		
		
		//Recuperacao de Post
		$.post("cad_multiplos2.php",{id:cliente, valor:valor, repasse:repasse, juros_repasse:juros_repasse, outross:outross, outros2s:outros2s, honorarioss:honorarioss, honorarios22:honorarios22, resultado:resultado, contador:contador},function(data){
			$("#descricao").prepend(data);
		})	
		
	})
	
	
	//Adicionar Herdeiro
	$('#descricao').delegate("#adicionar_herdeiro", 'click',function(){
		var div = jQuery(this).parent().parent().parent().parent();
		var nivel = jQuery(this).parent().parent().parent().parent().parent().attr("class");
		var pai = jQuery(this).parent().parent().parent().parent().parent().attr("id");
		var valor = jQuery(this).parent().parent().parent().parent().find('#juros_repass').val();
		var juros_repasse = jQuery(this).parent().parent().parent().parent().find('#juros_repass2').val();
		
		//Recuperacao de Post
		$.post("cad_multiplos2_herdeiro.php",{pai:pai, nivel:nivel, valor:valor, juros_repasse:juros_repasse },function(data){
			
			div.after(data);
		})	
		
	})
	
	
	//Remover Descricao
	$('#descricao').delegate("#remover", 'click',function(){
		$(this).parent().parent().parent().parent().parent().remove();	
	})
	
	
	//Remover Descricao
	$('#descricao').delegate("#remover_herdeiro", 'click',function(){
		$(this).parent().parent().parent().parent().parent().remove();	
	})
	
	//Somar para Total
	
	$('#form1').delegate("*", 'change click submit mouseup keyup', function(){
		var valor_total = 0;
		var valor_repasse = 0;
		$('.valor').each(function(index, element) {
	        valor_total = valor_total + parseFloat($(this).val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		});
		
		$('.desconto').each(function(index, element) {
	        valor_total = valor_total - parseFloat($(this).val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		});
		
		
		
		valor_total = valor_total + parseFloat($("input[name=juros]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		$("input[name=total]").val(valor_total);
		
		
		valor_repasse = valor_repasse + parseFloat($("input[name=Valor]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		valor_repasse = valor_repasse - parseFloat($("input[name=outross]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		valor_repasse = valor_repasse - parseFloat($("input[name=outros2s]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		valor_repasse = valor_repasse - parseFloat($("input[name=honorarioss]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		valor_repasse = valor_repasse - parseFloat($("input[name=honorarios22]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		valor_repasse = valor_repasse - parseFloat($("input[name=repasse]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		valor_repasse = valor_repasse + parseFloat($("input[name=juros_repasse]").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		
		$("input[name=resultado]").val(valor_repasse);
		
		
		
		
		$('input[name=resultado]').val(valor_repasse.toFixed(2));
		$('input[name=total]').val(valor_total.toFixed(2));
		$('input[name=total]').priceFormat({
		   		prefix: '',
		   		centsSeparator: ',',
    	   		thousandsSeparator: '.'
		   });
		   
		$('input[name=resultado]').priceFormat({
		   		prefix: '',
		   		centsSeparator: ',',
    	   		thousandsSeparator: '.'
		 });
		 
		 
		 $('.descricao_contar').each(function(i){
			 
			valor_repasse = parseFloat($('#' + $(this).attr('id') + " #cli_valor").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
			valor_repasse = valor_repasse - parseFloat($('#' + $(this).attr('id') + " #honorarios2").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
			valor_repasse = valor_repasse - parseFloat($('#' + $(this).attr('id') + " #repass2").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
			valor_repasse = valor_repasse - parseFloat($('#' + $(this).attr('id') + " #repass").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
			valor_repasse = valor_repasse - parseFloat($('#' + $(this).attr('id') + " #repass3").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
			valor_repasse = valor_repasse - parseFloat($('#' + $(this).attr('id') + " #repass4").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
			valor_repasse = valor_repasse + parseFloat($('#' + $(this).attr('id') + " #juros_repass2").val().replace('.','').replace('.','').replace('.','').replace(',','.'));
		
			$('#' + $(this).attr('id') + ' #juros_repass').val(valor_repasse);
			$('#' + $(this).attr('id') + ' #juros_repass').val(valor_repasse.toFixed(2));
			$('#' + $(this).attr('id') + ' #juros_repass').priceFormat({
		   		prefix: '',
		   		centsSeparator: ',',
    	   		thousandsSeparator: '.'
			 });
			 
			 
			 
			
		});	
		
		
	})
    
});